<h1 id="h_01HH3AMV4EWY27A863TA2PVPMA">Project Deletion</h1>
<p>Per our data retention policy, depending on your plan, we retain build data for the following periods :</p>
<ul>
    <li>Free Plans: 90 days</li>
    <li>Performance and Custom Plans: 180 days</li>
    <li>Scale Plans: 2 years</li>
</ul>
<p>You can also set custom data retention periods for artifacts, workspaces and cache items by navigating to the Usage Controls in the Plan portal:</p>
<p>https://app.circleci.com/settings/plan/<em>vcs</em>/<em>organisation</em>/usage-controls</p>
<p>If you need a project deleted sooner than our policy outlines, please follow this guide. At this time, project deletion requests are completed by submitting a ticket via our <a href="https://support.circleci.com/">Support Portal</a>. Deleting a project will remove the complete build history. </p>
<h2 id="h_01HH3AMV4E0Y07H2DH0VKG3K45">Prerequisites</h2>
<p>To find out if you authorized through the GitHub OAuth app or the CircleCI GitHub App, see the <a class="css-x7gnkn" href="https://circleci.com/docs/github-apps-integration/" data-testid="link">GitHub App integration</a> page.</p>
<h3 id="h_01HH3B4PXVTJQ44WJTKZBHTC04">GitHub OAuth</h3>
<p>Make sure that all webhooks for your project are removed in GitHub. This <a href="https://support.circleci.com/hc/en-us/articles/360021666393-How-to-stop-building-by-manually-removing-the-CircleCI-webhook-and-deploy-key-from-your-GitHub-repository">Support Article</a> describes the necessary steps. </p>
<h3 id="h_01HH3C78Q2PKR0X5YTK0VMZQZM">GitHub App</h3>
<p>For GitHub App you will need to uninstall the CircleCI app on GitHub:</p>
<ol class="p-rich_text_list p-rich_text_list__ordered" data-stringify-type="ordered-list" data-indent="0" data-border="0">
    <li data-stringify-indent="0" data-stringify-border="0">Navigate to: <a class="c-link" href="https://github.com/settings/installations" target="_blank" rel="noopener noreferrer" data-stringify-link="https://github.com/settings/installations" data-sk="tooltip_parent">https://github.com/settings/installations</a> (If necessary change the org by clicking <code class="c-mrkdwn__code" data-stringify-type="code">Switch to another account</code> on the top left)</li>
    <li data-stringify-indent="0" data-stringify-border="0">
        <code class="c-mrkdwn__code" data-stringify-type="code">CircleCI App</code> should be shown on the page of <code class="c-mrkdwn__code" data-stringify-type="code">Installed GitHub Apps</code> tab then click <code class="c-mrkdwn__code" data-stringify-type="code">Configure</code>
    </li>
    <li data-stringify-indent="0" data-stringify-border="0">This should take you to the CircleCI Apps Configuration page. Scroll down to <code class="c-mrkdwn__code" data-stringify-type="code">Danger Zone</code> section and Click <code class="c-mrkdwn__code" data-stringify-type="code">Uninstall</code> which will remove the triggers sent to CircleCI.</li>
</ol>
<p>After un-installing the CircleCI App, please wait for us to complete the deletion request. During this time, other projects using GitHub App will not build.</p>
<p> </p>
<p>Once complete, you will need to re-install the CircleCI App in order to continue building. You can find instructions on how to re-install the CircleCI App on GitHub in our docs <a href="https://circleci.com/docs/github-apps-integration/#Re-install-github-app">here</a>. </p>
<h3 id="h_01HH3B56KY7Q15B3YYVEEFW2CR">GitLab</h3>
<p>Delete triggers and configuration in your project settings (in that order). </p>
<h2 id="h_01HH3AMV4E78XT9EQXY2E0RCMT">Submitting a Support Ticket</h2>
<p>Project deletion requests must be submitted or approved by an Organization Admin. Use <a href="https://support.circleci.com/hc/en-us/articles/12154694676507-How-do-I-find-my-org-admins-">this guide</a> if you are having trouble identifying an org admin.</p>
<p>You may be asked to provide the project ID of the project you wish to have deleted. You can find that ID in your Project Settings.</p>
<p>Once we receive your ticket, please expect our Support Engineers to confirm the request. </p>
<h2 id="h_01HH3AMV4F8JXKX186HN9YPGDV">Additional Resources<span class="diff-added-string">: </span>
</h2>
<ul>
    <li><a href="https://support.circleci.com/hc/en-us/articles/360021666393-How-to-stop-building-by-manually-removing-the-CircleCI-webhook-and-deploy-key-from-your-GitHub-repository" target="_blank" rel="noopener noreferrer">How to stop building by manually removing the CircleCI webhook and deploy key from your GitHub repository</a></li>
    <li><a href="https://support.circleci.com/hc/en-us/articles/360036286553-Can-I-delete-a-specific-build-" target="_blank" rel="noopener noreferrer">Can I delete a specific build?</a></li>
</ul>